NI-488.2 2.2 - - Update - Sun Solaris 5 Ratings | 3.40 out of 5 |   Print

Available Downloads:

Standard Download: NICibupdt.tar (951 KByte)
Checksum (MD5): 25c5773e05a8335dbe30ddf302162747
Updates and Notifications:
Critical Updates and Security Notifications are posted on ni.com. Before downloading, click here to review this information.

Download Language: English

Product Line: GPIB

Version: 2.2

Release date: 05-01-2001

Software type: Driver

Operating system: Sun Solaris

Supported hardware:

  • AT-GPIB/TNT (PnP)
  • GPIB-ENET/100
  • GPIB-USB-B
  • GPIB-USB-HS
  • NI ExpressCard-GPIB
  • NI PCIe-GPIB
  • PCI-GPIB
  • PCI-GPIB+
  • PCI-MXI-2
  • PCIe-GPIB+
  • PCMCIA-GPIB
  • PCMCIA-GPIB+
  • PMC-GPIB
  • PXI-GPIB

Description

The driver for PCI-GPIB, SB-GPIB, and SCSI-GPIB is not available for free download. You must purchase the driver from National Instruments, unless you already have the NI-488.2 version 2.0 installed. This software adds a number of enhancements and bug fixes to the previous software supported for Solaris 2 (v2.0), including:

  1. Fixes problems with the ReadStatusByte function that causes incorrect status values to be returned on 64 bit OS.
  2. Fixes some problems with RQS detection and multi-threaded support that can crash the system.
  3. Adds installation support for Solaris 8.
  4. Adds installation support for PXI-GPIB and PMC-GPIB.
  5. Fixes a bug which causes multiple PCI-GPIB boards to be assigned to the same gpib interface.
  6. Adds 64 bit static and dynamic libraries for the language interface.
This driver supports Sun Solaris Version 2.5.1 through 2.8 (Solaris 8).

Note: The PCI-GPIB/TNT5004, which is shipped with the PCI-GPIB for Solaris kit, is not supported by NI-488.2 version 2.2 for Solaris 2. For use with this interface, it is necessary to use NI-488.2 version 2.3 or later for Solaris 2. Solaris 2.5.1 users (for which NI-488.2 v2.2 for Solaris 2 is the latest version), should order the PCI-GPIB part number 183617-01, along with the driver-only NI-488.2 package for Solaris 2.

Note: You can only use this update if you have version 2.0 installed on your Solaris system.

BEFORE YOU DOWNLOAD: Make sure you are downloading the correct version of the NI-488.2 driver for your Operating System and GPIB Hardware by checking the Current GPIB Driver Versions page.

Your Feedback

Rate this document

Answered Your Question?
Yes No

Submit